Get a User's Business Checks
curl --request GET \
--url https://api-sandbox.finogates.com/v1/platform/users/kyb-records/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.finogates.com/v1/platform/users/kyb-records/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.finogates.com/v1/platform/users/kyb-records/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status_code": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"rejected_at": "2023-11-07T05:31:56Z",
"decline_reason": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_email": "<string>",
"subject_name": "<string>",
"business_legal_name": "<string>",
"business_ein": "<string>",
"business_type": "<string>",
"dba": "<string>",
"website": "<string>",
"registration_number": "<string>",
"formation_date": "<string>",
"mcc": "<string>",
"business_description": "<string>",
"business_email": "<string>",
"business_phone": "<string>",
"phone_country_code": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>",
"contact_first_name": "<string>",
"contact_last_name": "<string>",
"contact_email": "<string>",
"business_documents": [
"<string>"
],
"ownership": [
{
"name": "<string>",
"role": "<string>",
"ownership_pct": 50
}
]
},
"query_generated_time": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List User KYB Records
Get the business verification (KYB) records for one user. Leave kyb_id out to get the full list of records, or provide a kyb_id to get just that single record.
GET
/
v1
/
platform
/
users
/
kyb-records
/
{user_id}
Get a User's Business Checks
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Response
Successful Response
- CommonResponse[KybRecordRead]
- ListResponse[list[KybRecordRead]]
⌘I

